/*
 * LinkLabelBeanInfo is part of the RADi GUI Builder package.
 * All rights reserved by muntjak Software (www.muntjak.com).
 */
 
package de.muntjak.customcomponents;

import java.awt.event.ActionListener;
import java.beans.*;

/**
 * LinkLabelBeanInfo provides icons.
 * 
 * @version 1.0
 * @author Hans Bickel
 */
public class LinkLabelBeanInfo extends SimpleBeanInfo {

	public java.awt.Image getIcon(int iconKind) {
	    if(iconKind == BeanInfo.ICON_MONO_16x16 ||
	        iconKind == BeanInfo.ICON_COLOR_16x16)
	    {
	        return loadImage("LinkLabelIcon16.gif");
	    }
	    
	    if(iconKind == BeanInfo.ICON_MONO_32x32 ||
	        iconKind == BeanInfo.ICON_COLOR_32x32)
	    {
	        return loadImage("LinkLabelIcon32.gif");
	    }
	    
	    return null;
	}
	
	public EventSetDescriptor[] getEventSetDescriptors() {
	    EventSetDescriptor[] esds = new EventSetDescriptor[1];
	    
	    try {
			esds[0] = new EventSetDescriptor(
				LinkLabel.class,
				"action",
				ActionListener.class,
				"actionPerformed");
		}
		catch (IntrospectionException e) {
			return null;
		}
	    
	    return esds;
	}
	
	public PropertyDescriptor[] getPropertyDescriptors() {
		PropertyDescriptor[] pds = new PropertyDescriptor[2];
		
		try {
			pds[0] = new PropertyDescriptor(
				"rolloverColor",
				LinkLabel.class);
				
			pds[1] = new PropertyDescriptor(
				"pressedColor",
				LinkLabel.class);
		}
		catch (IntrospectionException e) {
			return null;
		}
		
		return pds;
    }
}